{
  config,
  pkgs,
  lib,
  inputs,
  system,
  ...
}: let
  alejandra = lib.getExe inputs.alejandra.packages.${system}.default;
  nil = lib.getExe inputs.nil.packages.${system}.default;
in {
  programs.helix = {
    enable = true;
    package = inputs.helix.packages."${system}".helix;
    settings = {
      keys.normal = {
        C-p = "file_picker";
        C-b = "buffer_picker";
      };
    };
    languages = [
      {
        name = "nix";
        auto-format = true;
        language-server = {command = nil;};
        formatter = {
          command = alejandra;
          args = ["-q"];
        };
      }
    ];
  };
}
